Bug 440491 - Xorg SEGVs at startup when initializing libglx on Radeon X1950 Pro / RV570
Xorg SEGVs at startup when initializing libglx on Radeon X1950 Pro / RV570
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-03 15:23 EDT by Daniel Berrange
Modified: 2008-05-09 01:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-09 01:31:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log from startup attempt (68.59 KB, text/plain)
2008-04-03 15:23 EDT, Daniel Berrange
no flags Details

  None (edit)
Description Daniel Berrange 2008-04-03 15:23:59 EDT
Description of problem:

I have the following ATI graphics card:

01:00.1 Display controller: ATI Technologies Inc RV570 [Radeon X1950 Pro]
(secondary)
        Subsystem: ATI Technologies Inc Unknown device 0b12
        Flags: bus master, fast devsel, latency 0, IRQ 18
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        Memory at fe9f0000 (64-bit, non-prefetchable) [size=64K]
        I/O ports at b000 [size=256]
        Expansion ROM at fe9c0000 [disabled] [size=128K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Express Endpoint, MSI 00
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-

And the X server dies with

Backtrace:
0: X(xf86SigHandler+0x65) [0x492fc5]
1: /lib64/libc.so.6 [0x341c032f80]
2: /usr/lib64/xorg/modules/extensions//libglx.so(glxConvertConfigs+0x1f) [0xa28aff]
3: /usr/lib64/xorg/modules/extensions//libglx.so [0xa275cf]
4: /usr/lib64/xorg/modules/extensions//libglx.so(GlxExtensionInit+0x132) [0x9fc2d2]
5: X(InitExtensions+0x8a) [0x4a1bca]
6: X(main+0x2b0) [0x42c6b0]
7: /lib64/libc.so.6(__libc_start_main+0xfa) [0x341c01e40a]
8: X(FontFileCompleteXLFD+0x281) [0x42bc39]

Fatal server error:
Caught signal 11.  Server aborting

I have no xorg.conf, so it is using the builtin default config.

Unclear whether I should hve reported this against xorg-x11-drv-ati or not..feel
free to change component...

vesa driver starts fine. Perhaps this card is simply not supported by the radeon
driver in rawhide yet ?

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.901-16.20080401.fc9.x86_64
xorg-x11-drv-ati-6.8.0-9.fc9.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Run startx
2.
3.
  
Actual results:
The stack trace shown above

Expected results:
X starts

Additional info:
Comment 1 Daniel Berrange 2008-04-03 15:23:59 EDT
Created attachment 300312 [details]
Xorg.0.log from startup attempt
Comment 2 Daniel Berrange 2008-04-03 15:41:22 EDT
A little more detailed trace from GDB

(gdb) bt
#0  0x000000341c032ef5 in raise (sig=<value optimized out>) at
../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x000000341c034a63 in abort () at abort.c:88
#2  0x0000000000460989 in ddxGiveUp () at xf86Init.c:1267
#3  0x00000000004f5d48 in AbortServer () at log.c:406
#4  0x00000000004f6415 in FatalError (f=0x57d2a0 "Caught signal %d.  Server
aborting\n") at log.c:552
#5  0x0000000000493018 in xf86SigHandler (signo=11) at xf86Events.c:766
#6  <signal handler called>
#7  glxConvertConfigs (core=0x7f2d908deac0, configs=0x0) at glxdri2.c:623
#8  0x0000000000a275cf in __glXDRIscreenProbe (pScreen=0x1a9b5d0) at glxdri.c:1136
#9  0x00000000009fc2d2 in GlxExtensionInit () at glxext.c:305
#10 0x00000000004a1bca in InitExtensions (argc=-1869747520, argv=0x0) at
../../../mi/miinitext.c:755
#11 0x000000000042c6b0 in main (argc=1, argv=0x7fffa9377ab8,
envp=0x7fffa9377ac8) at main.c:367
Comment 3 Daniel Berrange 2008-04-03 15:43:29 EDT
Creating a xorg.conf and adding this to the ServerLayout:

   Option "AIGLX" "off"

stops it from crashing.
Comment 4 Michal Schmidt 2008-04-06 18:19:46 EDT
Changelog says this is fixed in 
xorg-x11-server-Xorg-1.4.99.901-17.20080401.fc9.
Daniel, please retry without the workaround and close the bug if it works.

Note You need to log in before you can comment on or make changes to this bug.